import glob
import numpy as np
import cv2
import matplotlib.pyplot as plt
import seaborn as sns
import pandas as pd
import os
import re
from scipy import signal
plt.rcParams['pdf.fonttype'] = 42


if __name__ == "__main__":

    data_df = pd.read_csv("./_results_plot.csv")

    fig = plt.figure(figsize=(8, 6))
    sns.barplot(x="promoter", y="rel-value", data=data_df, color="lightgray", ci="sd")
    sns.swarmplot(x="promoter", y="rel-value", data=data_df, hue="exp", s=8)
    plt.legend([], [], frameon=False)
    fig.savefig("./__results.png")
    fig.savefig("./__results.pdf")
    fig.savefig("./__results.eps", format="eps", transparent=True)
